org.apache.solr.search.facet

## Class SumsqAgg

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.search.facet.AggValueSource
    - - org.apache.solr.search.facet.SimpleAggValueSource
      - - org.apache.solr.search.facet.SumsqAgg

-     public class SumsqAgg
      extends SimpleAggValueSource

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.search.facet.AggValueSource

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SumsqAgg(ValueSource vs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetMerger` | `createFacetMerger(Object prototype)`
    `SlotAcc` | `createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext, int numDocs, int numSlots)`

    - ### Methods inherited from class org.apache.solr.search.facet.SimpleAggValueSource

      `description, equals, getArg, getValues, hashCode`

    - ### Methods inherited from class org.apache.solr.search.facet.AggValueSource

      `getChildren, name`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SumsqAgg

          public SumsqAgg(ValueSource vs)

  - ### Method Detail

    - #### createSlotAcc

          public SlotAcc createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext,
                                       int numDocs,
                                       int numSlots)
                                throws IOException

      Overrides:
        `createSlotAcc` in class `AggValueSource`
      Throws:
        `IOException`

    - #### createFacetMerger

          public FacetMerger createFacetMerger(Object prototype)

      Specified by:
        `createFacetMerger` in class `AggValueSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.